package com.sf.order.domain.dto;

import com.sf.common.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.NotNull;

/**
 * @author : ztzh
 * @since : 2023/7/27
 */
@Schema(description = "下单")
public class OrderCreateDto {

    @Schema(description = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long goodsId;

    @Schema(description = "平台外部订单号")
    private String outOrderNo;

    @Schema(description = "数量")
    private Long count;

    @Schema(description = "金额")
    private Long amount;

    @Schema(description = "用户id")
    @NotNull(message = "用户id不能空")
    private Long userId;

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }
    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOutOrderNo() {
        return outOrderNo;
    }

    public void setOutOrderNo(String outOrderNo) {
        this.outOrderNo = outOrderNo;
    }
}
